Package com.documentum.fc.bpm

# Interface IDfAttributeValueCondition

All Superinterfaces:
  `IDfTransitionCondition`

public interface IDfAttributeValueCondition extends IDfTransitionCondition
Describes the properties unique to an attribute value transition condition.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALL`
  Repeating attribute flag value to indicate that a comparison must succeed against all of the repeating values in order for the condition to succeed.
  `static final int`
  `ANY`
  Repeating attribute flag value to indicate that if a comparison succeeds with any of the repeating values, the condition succeeds.
  `static final int`
  `FIRST`
  Repeating attribute flag value to indicate that if a comparison succeeds with the first of the repeating values, the condition succeeds.
  `static final int`
  `LAST`
  Repeating attribute flag value to indicate that if a comparison succeeds with the last of the repeating values, the condition succeeds.
  `static final int`
  `NOT_REPEATING`
  Repeating attribute flag value to indicate that the attribute is not a repeating attribute.

  ### Fields inherited from interface com.documentum.fc.bpm.IDfTransitionCondition

  `EQ, GE, GT, LE, LT, NE, WORKFLOW_ALIAS, WORKITEM_ALIAS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttributeName()`
  Returns the name of the attribute of the package component's data type that is to participate in the relational operation with a constant value.
  `int`
  `getRepeatingAttributeFlag()`
  Returns the repeating attribute flag that determines how a comparison is performed when the named attribute is repeating.
  `IDfValue`
  `getValue()`
  The value for use within the comparison in the form of an IDfValue instance.
  `void`
  `setAttributeName(String name)`
  Sets the name of the attribute of the package component's data type that is to participate in the comparison with a constant value.
  `void`
  `setBooleanValue(boolean value)`
  Sets a boolean value for use within the comparison.
  `void`
  `setDoubleValue(double value)`
  Sets a double value for use within the comparison.
  `void`
  `setIdValue(IDfId value)`
  Sets an id value for use within the comparison.
  `void`
  `setIntValue(int value)`
  Sets an integer value for use within the comparison.
  `void`
  `setRepeatingAttributeFlag(int flag)`
  Sets the repeating attribute flag to determine how a comparison is performed when the named attribute is repeating.
  `void`
  `setStringValue(String value)`
  Sets a string value for use within the comparison.
  `void`
  `setTimeValue(IDfTime value)`
  Sets a time value for use within the comparison.
  `void`
  `setValue(IDfValue value)`
  Sets a value for use within the comparison in the form of an IDfValue instance.

  ### Methods inherited from interface com.documentum.fc.bpm.IDfTransitionCondition

  `getObjectAlias, getRelationalOperator, isValid, setObjectAlias, setRelationalOperator, toString`

- ## Field Details

  - ### NOT_REPEATING

    static final int NOT_REPEATING
    Repeating attribute flag value to indicate that the attribute is not a repeating attribute.
    See Also:
      - Constant Field Values

  - ### ANY

    static final int ANY
    Repeating attribute flag value to indicate that if a comparison succeeds with any of the repeating values, the condition succeeds.
    See Also:
      - Constant Field Values

  - ### ALL

    static final int ALL
    Repeating attribute flag value to indicate that a comparison must succeed against all of the repeating values in order for the condition to succeed.
    See Also:
      - Constant Field Values

  - ### FIRST

    static final int FIRST
    Repeating attribute flag value to indicate that if a comparison succeeds with the first of the repeating values, the condition succeeds.
    See Also:
      - Constant Field Values

  - ### LAST

    static final int LAST
    Repeating attribute flag value to indicate that if a comparison succeeds with the last of the repeating values, the condition succeeds.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setAttributeName

    void setAttributeName(String name) throws DfException
    Sets the name of the attribute of the package component's data type that is to participate in the comparison with a constant value.
    Parameters:
      `name` - the name of the attribute
    Throws:
      `DfException` - if a server error returns

  - ### getAttributeName

    String getAttributeName() throws DfException
    Returns the name of the attribute of the package component's data type that is to participate in the relational operation with a constant value.
    Returns:
      the name of the attribute
    Throws:
      `DfException` - if a server error returns

  - ### setRepeatingAttributeFlag

    void setRepeatingAttributeFlag(int flag) throws DfException
    Sets the repeating attribute flag to determine how a comparison is performed when the named attribute is repeating.
    Parameters:
      `flag` - an integer flag, being one of the constants from this interface
    Throws:
      `DfException` - if a server error occurs

  - ### getRepeatingAttributeFlag

    int getRepeatingAttributeFlag() throws DfException
    Returns the repeating attribute flag that determines how a comparison is performed when the named attribute is repeating.
    Returns:
      an integer flag, being one of the constants from this interface
    Throws:
      `DfException`

  - ### setStringValue

    void setStringValue(String value) throws DfException
    Sets a string value for use within the comparison.
    Parameters:
      `value` - a string value
    Throws:
      `DfException` - if a server error occurs

  - ### setIdValue

    void setIdValue(IDfId value) throws DfException
    Sets an id value for use within the comparison.
    Parameters:
      `value` - an id value
    Throws:
      `DfException` - if a server error occurs

  - ### setTimeValue

    void setTimeValue(IDfTime value) throws DfException
    Sets a time value for use within the comparison.
    Parameters:
      `value` - a time value
    Throws:
      `DfException` - if a server error occurs

  - ### setBooleanValue

    void setBooleanValue(boolean value) throws DfException
    Sets a boolean value for use within the comparison.
    Parameters:
      `value` - a boolean value
    Throws:
      `DfException` - if a server error occurs

  - ### setIntValue

    void setIntValue(int value) throws DfException
    Sets an integer value for use within the comparison.
    Parameters:
      `value` - an integer value
    Throws:
      `DfException` - if a server error occurs

  - ### setDoubleValue

    void setDoubleValue(double value) throws DfException
    Sets a double value for use within the comparison.
    Parameters:
      `value` - a double value
    Throws:
      `DfException` - if a server error occurs

  - ### setValue

    void setValue(IDfValue value) throws DfException
    Sets a value for use within the comparison in the form of an IDfValue instance.
    Parameters:
      `value` - an IDfValue instance
    Throws:
      `DfException` - if a server error occurs

  - ### getValue

    IDfValue getValue() throws DfException
    The value for use within the comparison in the form of an IDfValue instance.
    Returns:
      the value for use within the comparison
    Throws:
      `DfException` - if a server error occurs